#ifndef TRAINEE_H
#define TRAINEE_H

#include <QList>

#include "user.h"
#include "group.h"
#include "computer.h"
#include "timingoftrainee.h"

class DATABASELMS_EXPORT Trainee: public User
{
public:
    Trainee();

    void setGroup(Group group){this->group = group;}
    Group getGroup(){return group;}

    void setComputer(Computer computer){this->computer = computer;}
    Computer getComputer(){return computer;}

    TimingOfTrainee getTiming(){return timing;}
    void setTiming(TimingOfTrainee timing);

private:
    Group group;
    Computer computer;
    TimingOfTrainee timing;
};

#endif // TRAINEE_H
